Dumps
All operations require authentication.
List all dumpsProduction
Returns the IDs of the dumps of all databases of the service, including orphan dumps whose database no longer exists.
Path parameters
Service name
Query parameters
Filter the value of databaseName property (like)
Filter the value of orphan property (=)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ dump \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a dumpProduction
Returns the database name, creation date, automatic deletion date and download URL of the dump, and whether it is orphan.
Path parameters
Dump ID
Service name
Response
Creation date of the dump
Dump of this database name
Automatic deletion date of the dump
Dump id
Dump orphan flag (true if database does not exists)
Dump URL access
Example uses dumpId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ dump/ {dumpId} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "databaseName": "string", "deletionDate": "2024-01-01T12:00:00Z", "dumpId": 0, "orphan": true, "url": "string"}
Delete a dumpProduction
Deletes the dump before its automatic deletion date. Returns a task to follow the deletion.
Path parameters
Dump ID
Service name
Response
Database name on which the task is working
Completion date
DumpId on which the task is working
Function name
abusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/updateThe id of the task
Last update
Task creation date
Task status
cancelleddoingdoneerrortodoUser name on which the task is working
Example uses dumpId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ dump/ {dumpId} \
-H "authorization: Bearer $OVH_TOKEN"{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}
Restore a dump into a databaseProduction
Restores the dump into the given database, which can differ from the database it was taken from. By default, the database is flushed before the restore.
Path parameters
Dump ID
Service name
Request body (required)
Database name
Whether to flush the database before restoring the dump (default to true)
Response
Database name on which the task is working
Completion date
DumpId on which the task is working
Function name
abusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/updateThe id of the task
Last update
Task creation date
Task status
cancelleddoingdoneerrortodoUser name on which the task is working
Example uses dumpId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ dump/ {dumpId}/ restore \
-H "authorization: Bearer $OVH_TOKEN"{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}